--EXEC EstrazioneProfiliInScadenza 20110509
CREATE procedure [C6StagingPeriodico].[EstrazioneProfiliInScadenza]
as
BEGIN
	DECLARE @id_periodiodo as int
	select @id_periodiodo = max(id_periodo) from [10.10.32.84].SEIAlertDW.[dbo].[Vis_Mifid_Report]
	TRUNCATE TABLE C6STAGINGPERIODICO.MAIL_PROFILI_RISCHIO	
	INSERT INTO C6STAGINGPERIODICO.MAIL_PROFILI_RISCHIO 
	select 
	a.rete, cod_fiscale, codicecontratto, cod_agente, data_sott, data_perf, 
	inviobenvenuto as flag_invio_report, profiloAss As Profilo, 
	dtprofilo as dt_creazione_profilo
	from
	c6mart.contrattosei a
	left outer join
	[10.10.32.84].SEIAlertDW.[dbo].[Vis_Mifid_Report] b
	on 
	(case 
	 when len(CodMan) = 0
	 then   b.CodFiscale
	 else 'FF@'+ CodMan
	end) = a.cod_fiscale 
	and a.rete=b.rete
    and a.cod_agente = substring(b.codagente, 2, len(b.codagente)- 1)
	where 
	b.id_periodo= @id_periodiodo--- chiedi ad antonio il periodo
	and a.data_fineavanzato is null
	--CONDIZIONE FILTRO PER I PROSSIMI 3 MESI
	--And datediff(dd,dtprofilo,dateadd(mm,3,getdate()))/365.25>3
	--And datediff(dd,dtprofilo,getdate())/365.25>3
--
--	union 
--
--	select 
--	a.rete, cod_fiscale, codicecontratto, cod_agente, data_sott, data_perf, 
--	inviobenvenuto as flag_invio_report, profilo, dtprofilo as dt_creazione_profilo
--	from
--	c6mart.contrattosei a
--	left outer join
--	[10.10.32.84].controllodata.dbo.clientiAdeguatezza_ALL b
--	on 
--	(case 
--	 when len("codice mandato") = 0
--	 then  b."codice fiscale"
--	 else 'FF@'+"codice mandato"
--	end) = a.cod_fiscale 
--	and a.rete=b.rete
--	where 
--	b.id_periodo= @id_periodiodo
--	and a.data_fineavanzato is null
--
--	--CONDIZIONE FILTRO PER scaduti
--	And profiloscaduto='S'
--order by dt_creazione_profilo
end